Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network165.0.0.0/10
Usable hosts4,194,302
Subnet mask255.192.0.0
Addresses4,194,304
Network address
165.0.0.0
Broadcast address
165.63.255.255
First usable
165.0.0.1
Last usable
165.63.255.254
Usable hosts
4,194,302 (4,194,304 less the network and broadcast addresses)
Subnet mask
255.192.0.0
Wildcard mask
0.63.255.255 (Cisco ACLs, OSPF)
Prefix length
/10
Type
Public public
Old class
B (default /16)
As numbers
Hex A5000000 · Integer 2768240640 to 2772434943
Reverse DNS zones
0.165.in-addr.arpa
1.165.in-addr.arpa
2.165.in-addr.arpa
3.165.in-addr.arpa
4.165.in-addr.arpa
5.165.in-addr.arpa
6.165.in-addr.arpa
7.165.in-addr.arpa
8.165.in-addr.arpa
9.165.in-addr.arpa
10.165.in-addr.arpa
11.165.in-addr.arpa
12.165.in-addr.arpa
13.165.in-addr.arpa
14.165.in-addr.arpa
15.165.in-addr.arpa
and 48 more
/10 is not on a 8-bit boundary, so it takes 64 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10100101.00000000.00000000.00000000165.0.0.0
Subnet mask11111111.11000000.00000000.00000000255.192.0.0
Network10100101.00000000.00000000.00000000165.0.0.0
Broadcast10100101.00111111.11111111.11111111165.63.255.255
Split into smaller subnets/16

165.0.0.0/10 makes 64 subnets of /16.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1165.0.0.0/16165.0.0.1 to 165.0.255.254165.0.255.25565,534
2165.1.0.0/16165.1.0.1 to 165.1.255.254165.1.255.25565,534
3165.2.0.0/16165.2.0.1 to 165.2.255.254165.2.255.25565,534
4165.3.0.0/16165.3.0.1 to 165.3.255.254165.3.255.25565,534
5165.4.0.0/16165.4.0.1 to 165.4.255.254165.4.255.25565,534
6165.5.0.0/16165.5.0.1 to 165.5.255.254165.5.255.25565,534
7165.6.0.0/16165.6.0.1 to 165.6.255.254165.6.255.25565,534
8165.7.0.0/16165.7.0.1 to 165.7.255.254165.7.255.25565,534
9165.8.0.0/16165.8.0.1 to 165.8.255.254165.8.255.25565,534
10165.9.0.0/16165.9.0.1 to 165.9.255.254165.9.255.25565,534
11165.10.0.0/16165.10.0.1 to 165.10.255.254165.10.255.25565,534
12165.11.0.0/16165.11.0.1 to 165.11.255.254165.11.255.25565,534
13165.12.0.0/16165.12.0.1 to 165.12.255.254165.12.255.25565,534
14165.13.0.0/16165.13.0.1 to 165.13.255.254165.13.255.25565,534
15165.14.0.0/16165.14.0.1 to 165.14.255.254165.14.255.25565,534
16165.15.0.0/16165.15.0.1 to 165.15.255.254165.15.255.25565,534
17165.16.0.0/16165.16.0.1 to 165.16.255.254165.16.255.25565,534
18165.17.0.0/16165.17.0.1 to 165.17.255.254165.17.255.25565,534
19165.18.0.0/16165.18.0.1 to 165.18.255.254165.18.255.25565,534
20165.19.0.0/16165.19.0.1 to 165.19.255.254165.19.255.25565,534
21165.20.0.0/16165.20.0.1 to 165.20.255.254165.20.255.25565,534
22165.21.0.0/16165.21.0.1 to 165.21.255.254165.21.255.25565,534
23165.22.0.0/16165.22.0.1 to 165.22.255.254165.22.255.25565,534
24165.23.0.0/16165.23.0.1 to 165.23.255.254165.23.255.25565,534
25165.24.0.0/16165.24.0.1 to 165.24.255.254165.24.255.25565,534
26165.25.0.0/16165.25.0.1 to 165.25.255.254165.25.255.25565,534
27165.26.0.0/16165.26.0.1 to 165.26.255.254165.26.255.25565,534
28165.27.0.0/16165.27.0.1 to 165.27.255.254165.27.255.25565,534
29165.28.0.0/16165.28.0.1 to 165.28.255.254165.28.255.25565,534
30165.29.0.0/16165.29.0.1 to 165.29.255.254165.29.255.25565,534
31165.30.0.0/16165.30.0.1 to 165.30.255.254165.30.255.25565,534
32165.31.0.0/16165.31.0.1 to 165.31.255.254165.31.255.25565,534
33165.32.0.0/16165.32.0.1 to 165.32.255.254165.32.255.25565,534
34165.33.0.0/16165.33.0.1 to 165.33.255.254165.33.255.25565,534
35165.34.0.0/16165.34.0.1 to 165.34.255.254165.34.255.25565,534
36165.35.0.0/16165.35.0.1 to 165.35.255.254165.35.255.25565,534
37165.36.0.0/16165.36.0.1 to 165.36.255.254165.36.255.25565,534
38165.37.0.0/16165.37.0.1 to 165.37.255.254165.37.255.25565,534
39165.38.0.0/16165.38.0.1 to 165.38.255.254165.38.255.25565,534
40165.39.0.0/16165.39.0.1 to 165.39.255.254165.39.255.25565,534
41165.40.0.0/16165.40.0.1 to 165.40.255.254165.40.255.25565,534
42165.41.0.0/16165.41.0.1 to 165.41.255.254165.41.255.25565,534
43165.42.0.0/16165.42.0.1 to 165.42.255.254165.42.255.25565,534
44165.43.0.0/16165.43.0.1 to 165.43.255.254165.43.255.25565,534
45165.44.0.0/16165.44.0.1 to 165.44.255.254165.44.255.25565,534
46165.45.0.0/16165.45.0.1 to 165.45.255.254165.45.255.25565,534
47165.46.0.0/16165.46.0.1 to 165.46.255.254165.46.255.25565,534
48165.47.0.0/16165.47.0.1 to 165.47.255.254165.47.255.25565,534
49165.48.0.0/16165.48.0.1 to 165.48.255.254165.48.255.25565,534
50165.49.0.0/16165.49.0.1 to 165.49.255.254165.49.255.25565,534
51165.50.0.0/16165.50.0.1 to 165.50.255.254165.50.255.25565,534
52165.51.0.0/16165.51.0.1 to 165.51.255.254165.51.255.25565,534
53165.52.0.0/16165.52.0.1 to 165.52.255.254165.52.255.25565,534
54165.53.0.0/16165.53.0.1 to 165.53.255.254165.53.255.25565,534
55165.54.0.0/16165.54.0.1 to 165.54.255.254165.54.255.25565,534
56165.55.0.0/16165.55.0.1 to 165.55.255.254165.55.255.25565,534
57165.56.0.0/16165.56.0.1 to 165.56.255.254165.56.255.25565,534
58165.57.0.0/16165.57.0.1 to 165.57.255.254165.57.255.25565,534
59165.58.0.0/16165.58.0.1 to 165.58.255.254165.58.255.25565,534
60165.59.0.0/16165.59.0.1 to 165.59.255.254165.59.255.25565,534
61165.60.0.0/16165.60.0.1 to 165.60.255.254165.60.255.25565,534
62165.61.0.0/16165.61.0.1 to 165.61.255.254165.61.255.25565,534
63165.62.0.0/16165.62.0.1 to 165.62.255.254165.62.255.25565,534
64165.63.0.0/16165.63.0.1 to 165.63.255.254165.63.255.25565,534

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses